MVAboxbhd = function()
{
# -----------------------------------------------------------------------
# EBook         mva
# -----------------------------------------------------------------------
#  See_also     boxplot par
# -----------------------------------------------------------------------
#   Macro       MVAboxbhd
# -----------------------------------------------------------------------
#   Description  MVAboxbhd computes Boxplots for the 14 variables of
#								 Boston Housing data
# -----------------------------------------------------------------------
#  2006-10-06 Julia Wandke
# ----------------------------------------------------------------------------
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bostonh.dat")
x <- data
zz <- x
i = 1
while(i <= 14){
    zz[,i] <- (x[,i]-mean(x[,i]))/(sqrt(var(x[,i])))
    i <- i+1}

xt <- cbind(log(x[,1]), x[,2], x[,3], x[,4], log(x[,5]), log(x[,6]), (x[,7]^(2.5)), log(x[,8]), log(x[,9]), log(x[,10]), exp(0.4*x[,11]), x[,12], sqrt(x[,13]), log(x[,14]))
tt <- x
i = 1
while(i <= 14){
    tt[,i] <- (xt[,i]-mean(xt[,i]))/(sqrt(var(xt[,i])))
    i <- i+1}

op <- par(mfrow=c(2, 1), ask=TRUE, cex=.5)

boxplot(zz, at=1:14, axes=FALSE, main="Boston Housing data", cex.main=1.5)
boxplot(tt, at=1:14, axes=FALSE, main="Transformed Boston Housing data", cex.main=1.5)

par(op)
}