MVAboxcar = function()
{
# -----------------------------------------------------------------------
# EBook         mva
# -----------------------------------------------------------------------
#  See also     boxplot factor (cbind colnames)
# -----------------------------------------------------------------------
#   Macro       MVAboxcar
# -----------------------------------------------------------------------
#   Description  MVAboxcar computes Boxplots for the mileage (Variable 14) 
#                of US, Japanese and European cars from carc.dat, 
#                respectively
# -----------------------------------------------------------------------
#  2006-08-04 Julia Wandke
# ----------------------------------------------------------------------------
data <- read.table("C:/Programme/MDTech/XploRe/data/mva/carc.dat")
x=data[c(3,14)]
headquarter <- factor(x[,2])
levels(headquarter) <- c("US","JAPAN", "EU")
x <- cbind(x, headquarter)
colnames(x)=c("Mileage", "HeadInt", "HeadFac")
boxplot(Mileage ~ HeadFac, data=x, at=1:3, main="car data")
}
