MVAcontbank2 = function()

# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See also     sort rows matrix min max grid var sker grcontour2
#               createdisplay show
# ----------------------------------------------------------------------------
#   Macro       MVAcontbank2
# ----------------------------------------------------------------------------
#   Description  MVAcontbank2 computes a kernel density estimate of variables  
#                X5 and X6 of the Swiss bank notes ("bank2.dat"). The 
#                bandwidth parameter are chosen by Scott's rule of thumb.
# ----------------------------------------------------------------------------
#  2006-08-15 Julia Wandke
# ----------------------------------------------------------------------------

library(KernSmooth)
data <- read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
x <- data
x <- x[c(5,6)]
x <- bkde2D(x, 0.32857)
contour(x$x1, x$x2, x$fhat, nlevels=8, drawlabels=FALSE)



