MVAdrafbank4 = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See_also     plot contour
# ----------------------------------------------------------------------------
#   Macro       MVAdrafbank
# ----------------------------------------------------------------------------
#   Description  MVAdrafbank compute a Draftman Plot for columns 3, 4, 5 and 6
#                of the Swiss bank notes data ("bank2.dat")
# ----------------------------------------------------------------------------
#  2006-09-08 Julia Wandke
# ----------------------------------------------------------------------------
library(KernSmooth)
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
x <- data

i=2
op <- par(mfrow=c(4, 4), cex=.2)
while(i<6){
     i <- i+1
     j <- 2
while(j<6){
     j <- j+1
     
     if(i==j){
     plot(i, type="n", axes=FALSE, xlab="", ylab="", main=i, cex.main=5)}

     if(i<j){
     xx <- cbind(x[,i],x[,j],c(rep(0,100),rep(1,100)))
     zz <- bkde2D(xx[,-3], 0.4)
     contour(zz$x1, zz$x2, zz$fhat, nlevels=12, drawlabels=FALSE, xlab="X", ylab="Y")}

     if(i>j){
     yy <- cbind(x[,i],x[,j],c(rep(0,100),rep(1,100)))
     plot(yy[,-3], pch=as.numeric(yy[,3]), xlab="X", ylab="Y", cex=3)}
     }}
par(op)
}
