MVAhisbank1 = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See also     hist par
# ----------------------------------------------------------------------------
#   Macro       MVAhisbank1
# ----------------------------------------------------------------------------
#   Description  MVAhisbank1 computes 4 histograms for the diagonal of the 
#                forged swiss bank notes ("bank2.dat"). The histograms are
#                different w.r.t. their binwidth. 
# ----------------------------------------------------------------------------
#  2006-08-07 Julia Wandke
# ----------------------------------------------------------------------------
data <- read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
 x=data[,6]
 xf=x[101:200]

op <- par(mfrow=c(2, 2))
 hist(xf, seq(137.75, 141, 0.1),xlab="h=0.1", ylab="diagonal", main="Swiss bank notes")
 hist(xf, seq(137.75, 141, 0.3),xlab="h=0.3", ylab="diagonal", main="Swiss bank notes")
 hist(xf, seq(137.75, 141, 0.2),xlab="h=0.2", ylab="diagonal", main="Swiss bank notes")
 hist(xf, seq(137.75, 141, 0.4),xlab="h=0.4", ylab="diagonal", main="Swiss bank notes")
par(op)
}