MVAparcoo2 = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See_also      parcoord
# ----------------------------------------------------------------------------
#   Macro        MVAparcoo2
# ----------------------------------------------------------------------------
#   Description  MVAparcoo2 computes a parallel coordinate plot for the 
#   observations full bank note data set ("bank2.dat").
#---------------------------------------------------------------------------
#  2006-09-19 Julia Wankde
# ----------------------------------------------------------------------------
library(MASS) 
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
C <- c(rep(1,100), rep(2,100))
x <- data
     ir <- rbind(x[,,1], x[,,2], x[,,3], x[,,4], x[,,5], x[,,6])
     parcoord(log(ir)[, c(1, 2, 3, 4, 5, 6)], lwd =2, 
              col = C, 
              main="Parallel coordinates plot (Bank data)")
}