MVAscabank456 = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See also      scatterplot3d rep attach detach
# ----------------------------------------------------------------------------
#   Macro        MVAscabank56
# ----------------------------------------------------------------------------
#   Description  MVAscabank456 computes a three dimensional scatterplot for X4 
#                vs. X6 vs. X5 (lower inner frame vs. diagonal vs. upper inner
#                frame) of the of the Swiss bank notes ("bank2.dat")
# ----------------------------------------------------------------------------
#  2006-09-04 Julia Wandke
# ----------------------------------------------------------------------------
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
x=data[c(4,5,6)]
x[,4] <- rep(1,200)
x[1:100,4]<-rep(0,100)

library("scatterplot3d")
attach(x)
scatterplot3d(V4,V5,V6, pch=as.numeric(V4.1), main="Swiss bank notes")
detach(x)
}

#axes=FALSE funktioniert hier nicht: Warning messages:
#1: "axes" ist kein Grafikparameter in: title(main, sub, xlab, ylab, line, outer, ...) 
#2: "axes" ist kein Grafikparameter in: plot.xy(xy, type, pch, lty, col, bg, cex, lwd, ...) 