MVAscabank56 = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See also      plot rep attach detach
# ----------------------------------------------------------------------------
#   Macro        MVAscabank56
# ----------------------------------------------------------------------------
#   Description  MVAscabank56 computes a two dimensional scatterplot of X5 vs. X6 
#                (upper inner frame vs. diagonal) of the Swiss bank notes 
#                ("bank2.dat")
# ----------------------------------------------------------------------------
#  2006-08-30 Julia Wandke
# ----------------------------------------------------------------------------
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
x=data[c(5,6)]
x[,3]<-rep(1,200)
x[1:100,3]<-rep(0,100)

attach(x)
plot(V5,V6, pch=as.numeric(V3), main="Swiss bank notes", xlab="upper inner frame (X5)", ylab="diagonal (X6)")
detach(x)
}