  ; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     setmode link
; ----------------------------------------------------------------------------
;   Macro       MVAdrafbank
; ----------------------------------------------------------------------------
;   Description  MVAdrafbank compute a Draftman Plot for columns 3, 4, 5 and 6
;                of the Swiss bank notes data ("bank2.dat")
; ----------------------------------------------------------------------------
    x=read("bank2")
      color=matrix(100) | 4*matrix(100)
      layout=3*matrix(100)|12*matrix(100)
      di=createdisplay(4,4)
      xx=x[,3]~x[,4]
      setmaskp(xx, color, layout, 8)
      show(di, 2, 1, xx)
      xx=x[,3]~x[,5]
      setmaskp(xx, color, layout, 8)
      show(di, 3, 1, xx)
      xx=x[,3]~x[,6]
      setmaskp(xx, color, layout, 8)
      show(di, 4, 1, xx)
      xx=x[,4]~x[,5]
      setmaskp(xx, color, layout, 8)
      show(di, 3, 2, xx)
      xx=x[,4]~x[,6]
      setmaskp(xx, color, layout, 8)
      show(di, 4, 2, xx)
      xx=x[,5]~x[,6]
      setmaskp(xx, color, layout, 8)
      show(di, 4, 3, xx)
      var1="Var 1"
      show(di,1,1,var1)
      var2="Var 2"
      show(di,2,2,var2)
      var3="Var 3"
      show(di,3,3,var3)
      var4="Var 4"
      show(di,4,4,var4)
