; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     setmode link
; ----------------------------------------------------------------------------
;   Macro       MVAdrafbank1
; ----------------------------------------------------------------------------
;   Description  MVAdrafbank1 computes a Draftman Plot for columns 1, 2 and 6
;                of the Swiss bank notes data ("bank2.dat")
; ----------------------------------------------------------------------------
proc()=main()
 x=read("bank2")
 x=x[,3:6]
 p = cols(x)
 color=matrix(100) | 4*matrix(100)
 layout=3*matrix(100)|12*matrix(100) 
 di=createdisplay(p,p)
 i=0
 while (i.<p)
  i=i+1
  j=0
   while (j.<p)
    j=j+1
    if (i>j)
     xx=x[,j]~x[,i]
     setmaskp(xx, color, layout, 8)
     show(di,i,j,xx)
    ; setmode(di, i, j, 1)
     ;link(di, i, j, di, i, j)
     ;link(di, j, i, di, i, j)
    endif
  endo
 endo
show(di, 1, 1, "Var 3") 
show(di, 2, 2, "Var 4") 
show(di, 3, 3, "Var 5") 
show(di, 4, 4, "Var 6") 
endp
main()  
library("graphic")
