; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      
; ----------------------------------------------------------------------------
;   Macro        MVAfacthous
; ----------------------------------------------------------------------------
;   Description  MVAfacthous performs factor analysis
; ----------------------------------------------------------------------------
library("xplore")
library("stats")
library("graphic")                     ; loads the graphic library
library("plot")
;
x=read("bostonh")                      ; reads the data file

xt=x
xt[,1]=log(x[,1])
xt[,2]=x[,2]/10
xt[,3]=log(x[,3])
xt[,5]=log(x[,5])
xt[,6]=log(x[,6])
xt[,7]=(x[,7]^(2.5))/10000
xt[,8]=log(x[,8])
xt[,9]=log(x[,9])
xt[,10]=log(x[,10])
xt[,11]=exp(0.4*x[,11])/1000
xt[,12]=x[,12]/100
xt[,13]=sqrt(x[,13])
xt[,14]=log(x[,14])
xt=xt~(x[,14]>median(x[,14]))

color=xt[,15]*4
y=xt[,1:3|5:14]                            
setenv("outputformat","%8.4f")
;b=factoranalysis(y,3,"PCM",10)
b=factoranalysis(y,3,"PFM",10)
;b=factoranalysis(y,3,"MLM",10)
"  Q1       Q2       Q3       comm.    spec.   "
b.loadings~b.communalities~b.specifics
varim=varimax(b.loadings)
varim
labels="X1"|"X2"|"X3"|"X5"|"X6"|"X7"|"X8"|"X9"|"X10"|"X11"|"X12"|"X13"|"X14"
c=factorrot(varim,labels)  



