; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also  
; ----------------------------------------------------------------------------
;   Macro        MVAlinreg2bh
; ----------------------------------------------------------------------------
;   Description  linear regression
;                for the subset of the transformed Boston housing data
; ----------------------------------------------------------------------------
library("xplore")
library("stats")
x=read("bostonh")
xt=x
xt[,1]=log(x[,1])
xt[,2]=x[,2]/10
xt[,3]=log(x[,3])
xt[,5]=log(x[,5])
xt[,6]=log(x[,6])
xt[,7]=(x[,7]^(2.5))/10000
xt[,8]=log(x[,8])
xt[,9]=log(x[,9])
xt[,10]=log(x[,10])
xt[,11]=exp(0.4*x[,11])/1000
xt[,12]=x[,12]/100
xt[,13]=sqrt(x[,13])
xt[,14]=log(x[,14])

lin=linreg(xt[,4:6]~xt[,8:13],xt[,14])





