proc()=main()
  x=read(pullover)          ; loads data
  y=x[,1]                   ; first column (sales)
  n=rows(x)                 ; number of observations
  x=matrix(n 1 1)~x[,2]     ; ones, second column (prices)
  p=cols(x)                 ; number of parameters in beta
  b=gls(x y)                ; MLE (LSE)
  aa=#(0,1)                 ; matrix A
  a=0                       ; constant a
  q=rows(a)                 ; number of constraints
  bc=b-inv(x'*x)*aa'*inv(aa*inv(x'*x)*aa')*(aa*b-a)
                            ; constrained MLE
  lrt1=(y-x*bc)'*(y-x*bc)
  lrt2=(y-x*b)'*(y-x*b)
  lrt=n/2*ln(lrt1/lrt2)     ; LR test statistic
  lrt
  cdfc(lrt q)               ; prob to reject hypothesis
  ft1=(aa*b-a)'*inv(aa*inv(x'*x)*aa')*(aa*b-a)
  ft2=lrt2
  ft=((n-p)/q)*ft1/ft2      ; F test statistic
  ft   
  cdff(ft q n-p)            ; prob to reject hypothesis                 
endp                     
