MVAboxbank1 = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See also     factor boxplot
# ----------------------------------------------------------------------------
#   Macro       MVAboxbank1
# ----------------------------------------------------------------------------
#   Description  MVAboxbank1 computes Boxplots for the length (Variable 1) 
#                of the genuine and forged banknotes from bank2.dat, 
#                respectively
# ----------------------------------------------------------------------------
#  2006-08-03 Julia Wandke
# ----------------------------------------------------------------------------
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
x <- data[c(1,6)]
 Type <- c(rep(0,100), rep(1,100))
 fType <- factor(Type, levels=0:1)
 levels(fType) <- c("GENUINE","CONTERFEIT")
x[,3]<- fType
colnames(x)=c("Length", "Diagonal", "Type")
boxplot(Length ~ Type, data=x, at=1:2, main="Swiss bank notes")
}