MVAboxcities = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See also     fivenum boxplot
# ----------------------------------------------------------------------------
#   Macro       MVAboxcity
# ----------------------------------------------------------------------------
#   Description  MVAboxcity computes the Five Number Summary and a Boxplot 
#                for 1st column of the dataset popul.dat 
# ----------------------------------------------------------------------------
#  2006-08-04 Julia Wandke
# ----------------------------------------------------------------------------
data <- read.table("C:/Programme/MDTech/XploRe/data/popul.dat")
 x=data[c(1)]
 f=fivenum(x)
 f
 x <- cbind(x,rep(0,15))
 
 Type <- c(rep(0,15))
 fType <- factor(Type, levels=0:0)
 levels(fType) <- c("U.S. cities")
x[,2]<- fType

colnames(x)=c("Population", "City")
boxplot(Population ~ City, data=x, at=1:1, main="Boxplot", xlab = "U.S. cities")
}