MVAdenbank = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See also     density par plot lines
# ----------------------------------------------------------------------------
#   Macro       MVAdenbank
# ----------------------------------------------------------------------------
#   Description  MVAdenbank computes kernel density estimates of the diagonal  
#                of the genuine and forged swiss bank notes ("bank2.dat"). The 
#                bandwidth parameter are chosen by Silverman's rule of thumb.
# ----------------------------------------------------------------------------
#  2006-08-11 Julia Wandke
# ----------------------------------------------------------------------------

data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
 x=data[,6]

 lim1 <- min(x)
 lim2 <- max(x)
 x1=x[1:100]
 x2=x[101:200]
 fh1=density(x1)
 fh2=density(x2)

plot.density(fh1, xlim=c(lim1,lim2), xlab="counterfeit        /         genuine")
lines(fh2, lty=2)
}