MVAdrafthousing = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See_also     boxplot plot par
# ----------------------------------------------------------------------------
#   Macro       MVAdrafthousing
# ----------------------------------------------------------------------------
#   Description  MVAdrafthousing plots scatterplot matrix for the Boston housing data
# ----------------------------------------------------------------------------
#  2006-10-04 Julia Wandke
# ----------------------------------------------------------------------------
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bostonh.dat")
K <- as.numeric(data[,14]>median(data[,14]))+1
x <- cbind(data[,-(6:13)],K)
i <- 0

op <- par(mfrow=c(6, 6), cex=.15, ask=TRUE)

while(i<6){
     i <- i+1
     j <- 0
while(j<6){
     j <- j+1
     
     if(i==j){
     boxplot(x[,i] ~ K, at=1:2, axes=FALSE)}
     
     if(i>j){
     yy <- cbind(x[,j],x[,i],K)
     plot(yy[,-3], col = as.numeric(K), xlab="", ylab="", cex=4, axes=FALSE)}
     
     if(i<j){
     plot(i, type="n", axes=FALSE, xlab="", ylab="", main="")}
     }}

par(op)
}