MVAdrafthousingt = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See_also     boxplot plot par
# ----------------------------------------------------------------------------
#   Macro       MVAdrafthousingt
# ----------------------------------------------------------------------------
#   Description  MVAdrafthousing plots scatterplot matrix for transformed 
#                Boston housing data.
# ----------------------------------------------------------------------------
#  2006-10-05 Julia Wandke
# ----------------------------------------------------------------------------
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bostonh.dat")
x <- data
K <- as.numeric(data[,14]>median(data[,14]))+1
x <- cbind(log(x[,1]), x[,2], x[,3], x[,4], log(x[,5]), log(x[,14]),K)
i <- 0

op <- par(mfrow=c(6, 6), cex=.15, ask=TRUE)

while(i<6){
     i <- i+1
     j <- 0
while(j<6){
     j <- j+1
     
     if(i==j){
     boxplot(x[,i] ~ K, at=1:2, axes=FALSE)}
     
     if(i>j){
     yy <- cbind(x[,j],x[,i],K)
     plot(yy[,-3], col = as.numeric(K), xlab="X", ylab="Y", cex=4, axes=FALSE)}
     
     if(i<j){
     plot(i, type="n", axes=FALSE, xlab="", ylab="", main="")}
     }}

par(op)
}