MVAhisbank2 = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See also     hist
# ----------------------------------------------------------------------------
#   Macro       MVAhisbank2
# ----------------------------------------------------------------------------
#   Description  MVAhisbank2 computes 4 histograms for the diagonal of the 
#                forged swiss bank notes ("bank2.dat"). The histograms are
#                different w.r.t. their origin. 
# ---------------------------------------------------------------------------- 
#  2006-08-07 Julia Wandke
# ----------------------------------------------------------------------------

data <- read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
 x=data[,6]
 xf=x[101:200]
 gr85 <- xf > 137.85
 gr95 <- xf > 137.95

op <- par(mfrow=c(2, 2))
 hist(xf, seq(137.65, 141, 0.4),xlab="x0=137.65", ylab="diagonal", main="Swiss bank notes")
 hist(xf[gr85], seq(137.85, 141, 0.4),xlab="x0=137.85", ylab="diagonal", main="Swiss bank notes")
 hist(xf, seq(137.75, 141, 0.4),xlab="x0=137.75", ylab="diagonal", main="Swiss bank notes")
 hist(xf[gr95], seq(137.95, 141, 0.4),xlab="x0=137.95", ylab="diagonal", main="Swiss bank notes")
par(op)
}

