MVAparcoo1 = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See_also      parcoord
# ----------------------------------------------------------------------------
#   Macro        MVAparcoo1
# ----------------------------------------------------------------------------
#   Description  MVAparcoo1 computes a parallel coordinate plot for the 
#   observations 96-105 of the Swiss bank notes data ("bank2.dat").
# ----------------------------------------------------------------------------
#  2006-09-19 Julia Wandke
# ----------------------------------------------------------------------------
library(MASS) 
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bank2.dat")
x <- data[96:105,]
     ir <- rbind(x[,,1], x[,,2], x[,,3], x[,,4], x[,,4], x[,,6])
     parcoord(log(ir)[, c(1, 2, 3, 4, 5, 6)], lwd =2, 
              col = c(1,1,1,1,1,2,2,2,2,2), 
              main="Parallel coordinates plot (Bank data)")
}

