MVApcphousing = function()
{
# ----------------------------------------------------------------------------
# EBook         mva
# ----------------------------------------------------------------------------
#  See_also     parcoord
# ----------------------------------------------------------------------------
#   Macro       MVApcphousingall
# ----------------------------------------------------------------------------
#   Description  MVApcphousingall computes PCP for all of the Boston housing data
# ----------------------------------------------------------------------------
#  2006-10-02 Julia Wandke
# ----------------------------------------------------------------------------
library(MASS) 
data<-read.table("C:/Programme/MDTech/XploRe/data/mva/bostonh.dat")
x <- data
colnames(x) <- c(1,2,3,4,5,6,7,8,9,10,11,12,13,14)
C <- as.numeric(x[,14]>median(x[,14]))

parcoord(x, col = C+1, lwd =2, main= "Boston Housing")
}