proc(gs)=grcontour2(x, c, col) 
  error (cols(x).<>3, "grcontour2: cols(x)<>3")
  if (exist("col").<>1)
    grc = getglobal ("grc")  
    col = grc.col.black.*matrix(rows(c))
  endif
  error(rows(c).<>rows(col), "grcontour2: rows(c)<>rows(col)")
; find x coordinates
  xs = sort(x, #(1,2,3))
  i  = 0
  while (i.<rows(c))
    i = i+1
    if (i.=1)
      {lt, pt} = contour2 (xs, c[i])
      lc = col[i].*matrix(rows(lt))
    else
      {lti, pti} = contour2 (xs, c[i])
      lci = col[i].*matrix(rows(lti))
      lc  = lc|lci
      lt  = lt|(lti+rows(pt))
      pt  = pt|pti
    endif
  endo
  gs = pt
  setmaskp(gs, 0, 0, 0)
  setmaskl(gs, lt, lc, 1, 2)
endp
 
 
  x=read("bank2")                  ; reads data file
  x=sort(x[,5:6])                  ; extracts columns 5, 6 and sorts
  library("smoother")              ; loads smoother library 
  library("graphic")               ; loads graphic library 
; 
  n=rows(x)
  nd=15                            ; number of grid points in each dimension
  nd=nd*matrix(cols(x))
  d=(max(x)-min(x))'./(nd-1)       ; binwidth in each dimension
  xg=sort(grid(min(x)',d,nd))
  h=2.6073*sqrt(var(x))*n^(-1/6)   ; bandwidth a la Scott's rule of thumb
  one=matrix(n)
  fh=sker(x,h,"qua",one,xg)        ; density estimate
;
  c  = (1:9)/10*max(fh)            ; computes contours at 10%..90% level
  color=(0:6)|(0:1)
  g = grcontour2(xg~fh,c,color)    ; macro for contours 
;
  di  = createdisplay (1,1)
  show (di, 1, 1, g)   

