; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     plotsplom
; ----------------------------------------------------------------------------
;   Macro       MVAdrafthousingt
; ----------------------------------------------------------------------------
;   Description  MVAdrafthousingt plots scatterplot matrix 
;                for transformed Boston housing data
; ----------------------------------------------------------------------------
 x=read("bostonh")                      ; reads the data file
 xt=log(x[,1])~x[,2]~x[,3]~x[,4]~log(x[,5])~log(x[,6])~(x[,7]^(2.5))~log(x[,8])~log(x[,9])~log(x[,10])~exp(0.4*x[,11])~x[,12]~sqrt(x[,13])~log(x[,14])
 library("plot")                        ; loads the plot library
 xt=xt~(x[,14]>median(x[,14]))
 z=xt[,1:5|14]                   ; extracts observations 
 plotsplom (z, grc.prep.none,xt[,15]*4)

