; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      grface 
; ----------------------------------------------------------------------------
;   Macro        MVAfacebank50
; ----------------------------------------------------------------------------
;   Description  facebank10 computes Flury faces for  
;                the Swiss bank notes data ("bank2.dat").
; ----------------------------------------------------------------------------
library("plot")
     q=0.*matrix(1,36)   ; do not use any facepart
     q[,1] =1            ; right eye size
     q[,19]=1            ; left eye size
     q[,2] =2            ; right pupil size
     q[,20]=2            ; left pupil size 
     q[,4] =3            ; right eye slant
     q[,22]=3            ; left eye slant
     q[,11]=4            ; right upper hair line
     q[,29]=4            ; left upper hair line
     q[,12]=5            ; right lower hairline
     q[,30]=5            ; left lower hairline
     q[,13]=6            ; right face line
     q[,14]=6            ; right darkness of hair
     q[,31]=6            ; left face line
     q[,32]=6            ; left darkness of hair
     h=read("bank2")
     setsize(640,480) 
    plotface(h,q,10,5)     


