; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     grface
; ----------------------------------------------------------------------------
;   Macro       MVAfacehous506
; ----------------------------------------------------------------------------
;   Description  MVAfacehous506 plots Flury faces for the Boston housing data
; ----------------------------------------------------------------------------
 x=read("bostonh")                      ; reads the data file
 x[506,14]=11.9													; fix the eof bug
 library("graphic")                     ; loads the graphic library
 x=log(x[,1])~x[,2]~log(x[,3])~x[,4]~log(x[,5:14])~(x[,14]>median(x[,14]))
 color=x[,15]*4
 h=x[,1|3|5:14]                            
 
q=0.*matrix(1,36)   ; do not use any facepart
q[,1] =1            ; right eye size
q[,19]=1            ; left eye size
q[,2] =2            ; right pupil size
q[,20]=2            ; left pupil size 
q[,4] =3            ; right eye slant
q[,22]=3            ; left eye slant
q[,11]=4            ; right upper hair line
q[,29]=4            ; left upper hair line
q[,12]=5            ; right lower hairline
q[,30]=5            ; left lower hairline
q[,13]=6            ; right face line
q[,14]=6            ; right darkness of hair
q[,31]=6            ; left face line
q[,32]=6            ; left darkness of hair
q[,3] =7            ; position of pupil
q[,21]=7            ;
q[,5] =8            ; horizontal position of eye
q[,23]=8
q[,6] =9            ; vertical position of eye
q[,24]=9
q[,7] =10           ; curvature of eyebrow
q[,25]=10
q[,8]= 10           ; density of eyebrow     
q[,26]=10
q[,9]=8             ; horizontal position of eyebrow
q[,27]=8
q[,10]=9            ; vertical position of eyebrow
q[,28]=9
q[,16]=11           ; line of nose            
q[,34]=11
q[,17]=12           ; size of mouth
q[,35]=12
q[,18]=12           ; line of mouth
q[,36]=12
draw=grface(h,q,22)
 axesoff()
 di=createdisplay(1,1)              ; creates display
 show(di,1,1,draw)                  ; shows plot
 setgopt(di,1,1,"title","Flury faces for Boston housing")

 

