proc()=main()
  x=read(pullover)            ; loads data
  y=x[,1]                     ; first column (sales)
  n=rows(x)                   ; number of observations
  x=matrix(n 1 1)~x[,2]       ; ones, second column (prices)
  p=cols(x)                   ; number of parameters in beta
  b=gls(x y)                  ; MLE (LSE)
  b0=211|0                    ; H0 hypothesis
  lrt1=(y-x*b0)'*(y-x*b0)
  lrt2=(y-x*b)'*(y-x*b)
  lrt=(n/2)*(ln(lrt1/lrt2)) ; LR test statistic
  lrt        
  cdfc(lrt p)                 ; prob to reject hypothesis        
  ft=(n-p)/p*(lrt1/lrt2-1)  ; F test statistic        
  ft          
  cdff(ft p n-p)              ; prob to reject hypothesis          
endp          
