; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      
; ----------------------------------------------------------------------------
;   Macro        MVAnmdscar2
; ----------------------------------------------------------------------------
;   Description  MVAnmdscar2 illustrates the PAV algorithm 
;                for nonmetric MDS for car marks data
; ----------------------------------------------------------------------------
x = #(3, 2)
x = x~#(2, 7)
x = x~#(1, 3)
x = x~#(10, 4)
x = x'
d = distance(x)			
delta = #(1, 2, 3)|d[1, 2]		; second last col contains dissim measure
delta = delta~(#(1, 3, 2)|d[1, 3])
delta = delta~(#(1, 4, 5)|d[1, 4])
delta = delta~(#(2, 3, 1)|d[2, 3])
delta = delta~(#(2, 4, 4)|d[2, 4])
delta = delta~(#(3, 4, 6)|d[3, 4])
delta = delta'

labels=(1~2)|(1~3)|(1~4)|(2~3)|(2~4)|(3~4)

fig=delta[,3]~delta[,4]~labels
fig=sort(fig)
labels=fig[,3:4]
fig=fig[,1:2]
labels=string("(%1.0f,%1.0f)",labels[,1],labels[,2])

setmaskp(fig,1,7,10)
setmaskt(fig,labels,4,3,16)
setmaskl(fig,(1:rows(fig))',0,1,1)
MDS=createdisplay(1,1)
show(MDS,1,1,fig)
setgopt(MDS,1,1,"title","Dissimilarities and distances","xlabel","Dissimilarity","ylabel","Distance","xmajor",1,"ymajor",2,"xlim",0|7,"ylim",0|10)
