; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      grpcp
; ----------------------------------------------------------------------------
;   Macro        MVAparcoo2
; ----------------------------------------------------------------------------
;   Description  MVAparcoo2 computes a parallel coordinate plot for the 
;   observations full bank note data set ("bank2.dat").
;---------------------------------------------------------------------------
 x=read("bank2")                    ; reads data
 library("graphic")
 z=x
 z=(z-min(z))./(max(z)-min(z))      ; standardizes the data     
 
 col=0*matrix(100)|4*matrix(100)
 pcp2=grpcp(z,col)                  ; parallel coordinate plot
;
 axeson()
 di=createdisplay(1,1)              ; creates display
 show(di,1,1,pcp2)                  ; shows plot
 setgopt(di,1,1,"xlabel","t","ylabel","f96 - f105")
 setgopt(di,1,1,"title","Parallel coordinate plot  (Bank data)")

