proc()=main()
  library(xplore)
  (x xx)=read("uscomp2" "t-ddddddc")         ; reads data, converts
                                             ; sectors to integers
  x=x[1:37,]|x[39,]|x[41:79,]                ; delete IBM, Gen. Electric
  xd=x[,1:6]
  xd=(xd-mean(xd)')./sqrt(var(xd)')          ; standardize data
  sec=#("H" "E" "F" "H" "M" "*" "*" "R" "*") ; abbrev. for sectors
  sec=index(sec x[,7])                       ; sectors
  m=mean(xd)                                 ; mean of data
  c=cov(xd)                                  ; covariance of data
  (e v)=eigensm(c)                           ; eigensystem analysis
  es=aseq(1 cols(xd) 1)~e                    ; index for eigenvalues
  show(es s2d)                               ; scree plot of eigenvalues    
  y=(xd-m')*v                                ; PCA transformation    
  show(y[,1]~y[,2]~sec s2d)                  ; PC's 1 and 2 -> BRUSH!!     
endp     
