; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     
; ----------------------------------------------------------------------------
;   Macro       MVAscapull1
; ----------------------------------------------------------------------------
;   Description  MVAscapull 1 computes a two dimensional scatterplot of X2 (price)
;   and X1 (sales) from the pullovers data set
; ----------------------------------------------------------------------------
 x=read("pullover")                      ; reads the pullovers data
; 
 di=createdisplay(1, 1)
 show(di, 1, 1, x[,2]~x[,1])            ; 2D plot of variables 2 and 1
 setgopt(di, 1, 1, "title", "pullovers data")
 setgopt(di, 1, 1, "xlabel","price (X2)", "ylabel","sales (x1)")
