; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also     
; ----------------------------------------------------------------------------
;   Macro       MVAscapull2
; ----------------------------------------------------------------------------
;   Description  MVAscapull2 computes a two dimensional plot of X4 (assistants) 
;   and X1 (sales) from the pullovers data set
; ----------------------------------------------------------------------------
 x=read("pullover")                     ; reads the pullovers data
;
 di=createdisplay(1, 1)                 ; creates display
 show(di, 1, 1, x[,4]~x[,1])            ; 2D plot of variables 4 and 1
 setgopt(di, 1, 1, "title", "pullovers data")
 setgopt(di, 1, 1, "xlabel","sales assistants (X4)", "ylabel","sales (X1)") 
