; ----------------------------------------------------------------------------
; EBook         mva
; ----------------------------------------------------------------------------
;  See_also      show createdisplay setgopt
; ----------------------------------------------------------------------------
;   Macro        MVAsimdep1
; ----------------------------------------------------------------------------
;   Description  MVAsimdep1 illustrates simplicial depth             
; ----------------------------------------------------------------------------
 x1=(1:6)~(#(10,0,5,5,4,9))
 axesoff()
 di=createdisplay(1, 1)           ; creates display
 setmaskp(x1,0,8,5)
 setmaskt(x1,string("%1.0f",1|6|3|4|5|2),1,3)
 setmaskl(x1,(1~3~5~1)|(2~6~3~2),4|2,2,1)
 show(di, 1, 1, x1)               ; 2D plot of variables 5 and 6
 setgopt(di, 1, 1, "title", "simplicial depth example") 
 setgopt(di, 1, 1, "xlabel"," ", "ylabel"," ")
