; ---------------------------------------------------------------------
; EBook       mva
; ---------------------------------------------------------------------
; Macro       MVAsimdep2d
; ---------------------------------------------------------------------
; Description Simplicial depth for the Boston housing data 
; ---------------------------------------------------------------------
n=60
x=read("bostonh",1~n)
s=x[,6]~x[,14]
{med,dep}=simdep(s)
z=maxind(dep)
m=median(s)
s=s|m
color=0*matrix(z-1)|4|0*matrix(n-z)|1
shape=8*matrix(z-1)|12|8*matrix(n-z)|4
siz=4*matrix(z-1)|12|4*matrix(n-z)|10
setmaskp(s,color,shape,siz)
plot(s)

