; ---------------------------------------------------------------------
; EBook       mva
; ---------------------------------------------------------------------
; Macro       MVAsir
; ---------------------------------------------------------------------
; Description SIR for the Boston housing data 
; ---------------------------------------------------------------------
library("plot")
x=read("bostonh")     
library("graphic") 
library("metrics")      
x=log(x[,1])~x[,2]~x[,3]~x[,4]~log(x[,5])~log(x[,6])~(x[,7])^(5/2)~log(x[,8:10])~exp(0.4*(x[,11]))~(-sqrt((x[,12])./1000)+0.63)~sqrt(x[,13])~log(x[,14])
med=(x[,14]>median(x[,14]))
y=x[,14]
x=x[,1:13]
{f,g}=sir(x,y,-20)
z=x*f[,1]~y
color=4*med
setmaskp(z,color)
plot(z)



 

